package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 警报计划表
 */
@Data
@EqualsAndHashCode(callSuper=true)
@TableName(value = "pub_alert_plan")
public class AlertPlan extends BaseEntity {
    /**
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 类型
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 等级
     */
    @TableField(value = "`level`")
    private Integer level;

    /**
     * 最大值
     */
    @TableField(value = "max_value")
    private Integer maxValue;

    /**
     * 最小值
     */
    @TableField(value = "min_value")
    private Integer minValue;

    /**
     * 显示内容
     */
    @TableField(value = "display_content")
    private String displayContent;
}